function [resistencia_total, reactancia_total, susceptancia_total, limite_flujo]=Topologia_Red(x_posicion, sistema)

%% Adecuacin de los parmetros para el clculo de las restricciones
mpc=loadcase(sistema);
%[LineasIniciales, Costos]=TestSystems(sistema);
    LineasIniciales=mpc.costo_lineas(:,1); 
    Costos=mpc.costo_lineas(:,2);
numero_ramas=numel(LineasIniciales);

%%LineasIniciales
mpc=loadcase(sistema);

LT_nuevas=x_posicion-LineasIniciales;

define_constants;

Lineas_Totales=LT_nuevas+LineasIniciales;


reactancia_lineas=mpc.branch(:,4);
resistencia_lineas=mpc.branch(:,3);
susceptancia_paralelo=mpc.branch(:,5);
susceptancia_total=zeros(numero_ramas,1);
reactancia_total=zeros(numero_ramas,1);
resistencia_total=zeros(numero_ramas,1);
for i=1:numero_ramas
    %%% Adecuacion de susceptancia en paralelo
    susceptancia_total(i,1)=susceptancia_paralelo(i,1)*Lineas_Totales(i,1);
    
    %%% Adecuacion de reactancia de linea
    if reactancia_lineas(i,1)~=0
    reactancia_total(i,1)=reactancia_lineas(i,1)/Lineas_Totales(i,1);
    else
        reactancia_total(i,1)=0;
    end
    %%% Adecuacion de resistencia de linea
    if resistencia_lineas(i,1)~=0
    resistencia_total(i,1)=resistencia_lineas(i,1)/Lineas_Totales(i,1);
    else
        resistencia_total(i,1)=0;
    end
    if Lineas_Totales(i,1)==0
        reactancia_total(i,1)=0;
        resistencia_total(i,1)=0;
    end

end


limite_inicial=mpc.branch(:,6); %%%% PARA MODELOS AC


limite_flujo=x_posicion(1:numero_ramas,:).*limite_inicial;

